[PATCH util/macros 1/2] autogen.sh: run git config in srcdir

Emil Velikov emil.l.velikov at gmail.com
Thu Jan 26 17:48:09 UTC 2017


From: Emil Velikov <emil.velikov at collabora.com>

Current code seems to work only for cases where builddir is a
subdirectory of the src one. So if one has builddir in a separate
folder (say in $srcdir/../) and the parent directory is a git
repository we'll incorrectly set the git config.

Move the git config line(s) where applicable, which gives us the nice
side effect of doing that even if autoreconf fails.

Cc: Peter Hutterer <peter.hutterer at who-t.net>
Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
 autogen.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index a703224..fe4d322 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,12 +6,12 @@ test -z "$srcdir" && srcdir=.
 ORIGDIR=`pwd`
 cd "$srcdir"
 
-autoreconf -v --install || exit 1
-cd "$ORIGDIR" || exit $?
-
 git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
     git config --local format.subjectPrefix "PATCH util/macros"
 
+autoreconf -v --install || exit 1
+cd "$ORIGDIR" || exit $?
+
 if test -z "$NOCONFIGURE"; then
     exec "$srcdir"/configure "$@"
 fi
-- 
2.11.0



More information about the xorg-devel mailing list